import React from 'react';
import ReactDOM from 'react-dom';
import { createStore, applyMiddleware } from 'redux'
import { Provider } from 'react-redux'
import thunk from 'redux-thunk'
import { logger } from 'redux-logger'
import Routes from './router';
import rootReducers from './store'

// 默认样式
import './assets/css/index.scss';

// iconfont
import './assets/font/iconfont.css';


const store = createStore(
    rootReducers,
    applyMiddleware(thunk, logger)
)


ReactDOM.render(
    <Provider store={store}>
        <Routes/>
    </Provider>,
    document.getElementById('root'));